_rpm-builder() {
    local i cur prev opts cmds
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"
    cmd=""
    opts=""

    for i in ${COMP_WORDS[@]}
    do
        case "${i}" in
            rpm-builder)
                cmd="rpm-builder"
                ;;
            
            *)
                ;;
        esac
    done

    case "${cmd}" in
        rpm-builder)
            opts=" -h -o  --help --out --version --epoch --license --arch --release --desc --file --exec-file --doc-file --config-file --dir --compression --changelog --requires --provides --obsoletes --conflicts --pre-install-script --post-install-script --pre-uninstall-script --post-uninstall-script --sign-with-pgp-asc  <name> "
            if [[ ${cur} == -* || ${COMP_CWORD} -eq 1 ]] ; then
                COMPREPLY=( $(compgen -W "${opts}" -- "${cur}") )
                return 0
            fi
            case "${prev}" in
                
                --out)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                    -o)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --version)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --epoch)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --license)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --arch)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --release)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --desc)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --file)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --exec-file)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --doc-file)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --config-file)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --dir)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --compression)
                    COMPREPLY=($(compgen -W "gzip zstd none" -- "${cur}"))
                    return 0
                    ;;
                --changelog)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --requires)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --provides)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --obsoletes)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --conflicts)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --pre-install-script)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --post-install-script)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --pre-uninstall-script)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --post-uninstall-script)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                --sign-with-pgp-asc)
                    COMPREPLY=($(compgen -f "${cur}"))
                    return 0
                    ;;
                *)
                    COMPREPLY=()
                    ;;
            esac
            COMPREPLY=( $(compgen -W "${opts}" -- "${cur}") )
            return 0
            ;;
        
    esac
}

complete -F _rpm-builder -o bashdefault -o default rpm-builder
